package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.sys.entity.Menu;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MenuService {
	Menu get(String id);
	boolean exist(String id);
	int insert(Menu model);
	int update(Menu model);
	int delete(String id);
	List<Menu> list();
	Page<Menu> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);

    List<Menu> query(Map<String, Object> searchParams, int limit, List<Sort> sortList);

    List<Menu> findAllocMenu(String subject, String parentId);
}